Package ghidra.app.util.bin.format.omf.omf

# Class OmfFixupRecord.Subrecord

java.lang.Object
ghidra.app.util.bin.format.omf.omf.OmfFixupRecord.Subrecord

Enclosing class:
  `OmfFixupRecord`

public static class OmfFixupRecord.Subrecord extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Subrecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getDataRecordOffset()`
  `int`
  `getFixMethod()`
  `int`
  `getFixMethodWithSub(OmfFixupRecord.Subrecord rec)`
  `int`
  `getFixThreadNum()`
  `int`
  `getFrameMethod()`
  `int`
  `getIndex()`
  `int`
  `getLocationType()`
  `int`
  `getTargetDatum()`
  `int`
  `getTargetDisplacement()`
  `int`
  `getThreadMethod()`
  `int`
  `getThreadNum()`
  `boolean`
  `isFrameInSubThread()`
  `boolean`
  `isFrameThread()`
  `boolean`
  `isSegmentRelative()`
  `boolean`
  `isTargetThread()`
  `boolean`
  `isThreadSubrecord()`
  `static OmfFixupRecord.Subrecord`
  `readSubrecord(BinaryReader reader, boolean hasBigFields)`
  Read the next subrecord from the input reader

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Subrecord

    public Subrecord()

- ## Method Details

  - ### readSubrecord

    public static OmfFixupRecord.Subrecord readSubrecord(BinaryReader reader, boolean hasBigFields) throws IOException
    Read the next subrecord from the input reader
    Parameters:
      `reader` - The input file
      `hasBigFields` - Is this 16 or 32 bit values
    Returns:
      The read subrecord
    Throws:
      `IOException` - if there was an IO-related error

  - ### isThreadSubrecord

    public boolean isThreadSubrecord()
    Returns:
      True if this is a Thread subrecord type

  - ### getThreadMethod

    public int getThreadMethod()
    Returns:
      The method value from a Thread subrecord

  - ### isFrameInSubThread

    public boolean isFrameInSubThread()
    Returns:
      True if this is a frame reference

  - ### getIndex

    public int getIndex()
    Returns:
      Get the index for explicit thread or frame

  - ### getThreadNum

    public int getThreadNum()
    Returns:
      Get the thread index from flag

  - ### isFrameThread

    public boolean isFrameThread()

  - ### isTargetThread

    public boolean isTargetThread()

  - ### getFrameMethod

    public int getFrameMethod()

  - ### getFixThreadNum

    public int getFixThreadNum()

  - ### getFixMethodWithSub

    public int getFixMethodWithSub(OmfFixupRecord.Subrecord rec)

  - ### getFixMethod

    public int getFixMethod()

  - ### getTargetDatum

    public int getTargetDatum()

  - ### getTargetDisplacement

    public int getTargetDisplacement()

  - ### getLocationType

    public int getLocationType()

  - ### getDataRecordOffset

    public int getDataRecordOffset()

  - ### isSegmentRelative

    public boolean isSegmentRelative()